Package org.sonatype.maven.polyglot.execute

## Interface ExecuteTask

- All Known Implementing Classes:
    `ExecuteTaskSupport`, `GroovyExecuteTask`

      public interface ExecuteTask

  Represents a language specific task to be executed.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(ExecuteContext context)` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getPhase()` |

- - ### Method Detail

    - #### getId

          java.lang.String getId()

    - #### getPhase

          java.lang.String getPhase()

    - #### execute

          void execute​(ExecuteContext context)
                throws java.lang.Exception

      Throws:
        `java.lang.Exception`